GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

Data Structures | Modules | Enumerations
GTPin: Kernel

Interfaces of the GEN kernel modeled as an instrumentation unit More...

## Data Structures
class | gtpin::GtKernelType
| Type of a kernel (shader) More...
class | gtpin::GtRtKernelType
| Type of a kernel (shader) More...
struct | gtpin::GtKernelArgument
| Descriptor of the kernel's payload argument. More...
class | gtpin::IGtKernel
| Basic properties of the GEN kernel as a compilation/instrumentation unit. More...
## Modules
| Kernel Instrumentation

| A group of interfaces that enable instrumentation of application kernels
| Kernel Dispatching

| Interface that controls kernel execution, from submission to completion
| Control Flow Inspection

| A group of interfaces intended for traversing and inspecting the kernel's control flow graph (CFG) elements
| Profile Buffer

| Interface of the memory buffer that stores profile data of the kernel
## Enumerations
enum | gtpin::KERNEL_TYPE { , gtpin::KERNEL_TYPE_HS, gtpin::KERNEL_TYPE_DS, gtpin::KERNEL_TYPE_VS, gtpin::KERNEL_TYPE_PS, gtpin::KERNEL_TYPE_CS, gtpin::KERNEL_TYPE_GS, gtpin::KERNEL_TYPE_MS, gtpin::KERNEL_TYPE_TS, gtpin::KERNEL_TYPE_RT }
| Type of a kernel (shader) More...
enum | gtpin::KERNEL_RT_TYPE
| Type of a kernel (shader)

## Detailed Description

Interfaces of the GEN kernel modeled as an instrumentation unit

## Enumeration Type Documentation

enum gtpin::KERNEL_TYPE

Type of a kernel (shader)

Enumerator:

  KERNEL_TYPE_HS | Hull Shader.
  KERNEL_TYPE_DS | Domain Shader.
  KERNEL_TYPE_VS | Vertex Shader.
  KERNEL_TYPE_PS | Pixel Shader.
  KERNEL_TYPE_CS | Compute Shader (GPGPU)
  KERNEL_TYPE_GS | Geometry Shader.
  KERNEL_TYPE_MS | Mesh Shader.
  KERNEL_TYPE_TS | Task Shader.
  KERNEL_TYPE_RT | Ray Tracing.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT